# DROP FUNCTION statement

#### Syntax

    DROP FUNCTION function-name

Identifies the particular function to be dropped, and is valid only if there is exactly one function instance with the function-name in the schema. The identified function can have any number of parameters defined for it.

An error will occur in any of the following circumstances:

- If no function with the indicated name exists in the named or implied schema (the error is SQLSTATE 42704)
- If there is more than one specific instance of the function in the named or implied schema
- If you try to drop a user-defined function that is invoked in the generation-clause of a generated column
- If you try to drop a user-defined function that is invoked in a view

Parent topic: DROP statements
Related reference
DROP INDEX statement
DROP PROCEDURE statement
DROP ROLE statement
DROP SCHEMA statement
DROP SYNONYM statement
DROP TABLE statement
DROP TRIGGER statement
DROP VIEW statement